Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.desktop2
Class DesktopAgentGUI

    java.lang.Object
      madkit.desktop2.DesktopAgentGUI

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class DesktopAgentGUI

extends java.lang.Object
implements java.awt.event.ActionListener

Field Summary
`protected javax.swing.JMenuItem` | `about`
`protected madkit.desktop2.AgentInfo` | `ai`
`protected java.util.HashMap` | `components`
`protected madkit.desktop2.JMenuItemDesktop` | `currentDesktop`
`protected java.lang.String` | `defaultConfigPath`
`protected Desktop` | `desktop`
`static java.lang.String` | `DESKTOPINITFILE`
`protected java.util.LinkedList` | `desktopMenuItem`
`protected javax.swing.JMenuItem` | `exec`
`protected java.util.LinkedList` | `iconInfos`
`protected java.util.LinkedList` | `menuInfos`
`protected javax.swing.JMenu` | `menuSelectDesktop`
`protected madkit.desktop2.PropertyDesktop` | `propertyDesktop`
`protected boolean` | `saveConfig`
`protected boolean` | `saveIni`
`protected javax.swing.JMenuItem` | `stop`

Constructor Summary
`DesktopAgentGUI(DesktopAgent ag)`

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`
`void` | `addAgent(AbstractAgent ag, java.awt.Component c, java.awt.Point p, java.awt.Dimension d)`
`void` | `addIcon(IconInfo iconInfo)`
`boolean` | `addListenerTo(madkit.desktop2.MenuItemInfo mii, javax.swing.AbstractButton abstractButton)`
`protected void` | `addMenuSystem()`
`protected boolean` | `createDesktop(java.lang.String className)`
`protected void` | `createMenuSystem()`
`boolean` | `getSaveConfig()`
`boolean` | `getSaveIni()`
`void` | `init()`
`protected java.io.File` | `openFile(boolean b, java.lang.String extens)`
`protected void` | `openScriptFile()`
`protected void` | `processButton(javax.swing.JMenu menu, Element elt)`
`boolean` | `quitMadkit()`
`protected void` | `readIniFile()`
`void` | `removeGUI(java.awt.Component c)`
`void` | `removeIcon(IconInfo iconInfo)`
`void` | `saveConfigFile(boolean bool)`
`void` | `saveIniFile(boolean bool)`
`void` | `setSaveConfig(boolean bool)`
`void` | `setSaveIni(boolean bool)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESKTOPINITFILE

    public static final java.lang.String DESKTOPINITFILE

See Also:
  Constant Field Values

### ai

    protected madkit.desktop2.AgentInfo ai

### components

    protected java.util.HashMap components

### iconInfos

    protected java.util.LinkedList iconInfos

### menuInfos

    protected java.util.LinkedList menuInfos

### desktopMenuItem

    protected java.util.LinkedList desktopMenuItem

### desktop

    protected Desktop desktop

### menuSelectDesktop

    protected javax.swing.JMenu menuSelectDesktop

### stop

    protected javax.swing.JMenuItem stop

### exec

    protected javax.swing.JMenuItem exec

### about

    protected javax.swing.JMenuItem about

### currentDesktop

    protected madkit.desktop2.JMenuItemDesktop currentDesktop

### propertyDesktop

    protected madkit.desktop2.PropertyDesktop propertyDesktop

### saveIni

    protected boolean saveIni

### saveConfig

    protected boolean saveConfig

### defaultConfigPath

    protected final java.lang.String defaultConfigPath

Constructor Detail

### DesktopAgentGUI

    public DesktopAgentGUI(DesktopAgent ag)

Method Detail

### init

    public void init()

### createMenuSystem

    protected void createMenuSystem()

### saveConfigFile

    public void saveConfigFile(boolean bool)

### saveIniFile

    public void saveIniFile(boolean bool)

### readIniFile

    protected void readIniFile()

### addListenerTo

    public boolean addListenerTo(madkit.desktop2.MenuItemInfo mii,
                                 javax.swing.AbstractButton abstractButton)

### processButton

    protected void processButton(javax.swing.JMenu menu,
                                 Element elt)

### addAgent

    public void addAgent(AbstractAgent ag,
                         java.awt.Component c,
                         java.awt.Point p,
                         java.awt.Dimension d)

### removeGUI

    public void removeGUI(java.awt.Component c)

### quitMadkit

    public boolean quitMadkit()

### setSaveIni

    public void setSaveIni(boolean bool)

### setSaveConfig

    public void setSaveConfig(boolean bool)

### getSaveIni

    public boolean getSaveIni()

### getSaveConfig

    public boolean getSaveConfig()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### addMenuSystem

    protected void addMenuSystem()

### addIcon

    public void addIcon(IconInfo iconInfo)

### removeIcon

    public void removeIcon(IconInfo iconInfo)

### createDesktop

    protected boolean createDesktop(java.lang.String className)

### openFile

    protected java.io.File openFile(boolean b,
                                    java.lang.String extens)

### openScriptFile

    protected void openScriptFile()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.